# Image Transformations

Manage transformations for image resource

## GET /dms/resources/{id}/transformations/{transformationId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Image Transformations","description":"Manage transformations for image resource"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/transformations/{transformationId}":{"get":{"tags":["Image Transformations"],"operationId":"getImageTransformation","parameters":[{"name":"id","in":"path","description":"image id","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"transformationId","in":"path","description":"transformation id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfImageTransformation"}}}}}}}},"components":{"schemas":{"dms-shelf-ShelfImageTransformation":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"uiKey":{"type":"string","description":"zur Unterscheidung verschiedener Transformationen"},"share":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"},"sizeX":{"type":"integer","format":"int32","description":"Breite in pixeln"},"sizeY":{"type":"integer","format":"int32","description":"Höhe in pixeln"},"rotation":{"type":"integer","format":"int32","description":"Rotation in Grad"},"watermarkLabel":{"type":"string","description":"Ein Wasserzeichen"},"imageFileStorageHandle":{"type":"string","description":"interne referenz auf die physikalische datei","readOnly":true},"imageFileCreatedAt":{"type":"string","format":"date","description":"wann wurde die physikalische datei erstellt","readOnly":true},"imageFileDuration":{"type":"integer","format":"int32","description":"wie viele Tage bleibt diese physikalische datei erhalten (0 = unlimited)"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"dms-shelf-ShelfShare":{"description":"share informations","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicUrlPath":{"type":"string","description":"der url-pfadanteil, der öffentlichen zugriff auf diese resource gibt","readOnly":true},"publicUrlCreatedAt":{"type":"string","format":"date","description":"wann die öffentliche resource erstellt wurde","readOnly":true},"publicUrlDurationInMinutes":{"type":"integer","format":"int64","description":"wie viele Minuten bleibt dieser resource-pfad zugreifbar (null = unlimited)"},"availability":{"type":"string","description":"Bestimmt, wie oft eine öffentliche URL verfügbar ist","enum":["UNLIMITED","ONE_TIME_USE"]},"timesUsed":{"type":"integer","format":"int32","description":"Anzahl der Nutzungen","readOnly":true},"appId":{"type":"string","format":"uuid","description":"App-ID"},"sharedByExternalRef":{"type":"string","description":"Externer Verweis auf dieses Share"},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true},"eTag":{"type":"string","description":"Hash der Revision","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"publishState":{"type":"string","description":"Veröffentlichungsstatus einer Dokument-Freigabe","enum":["SYNCED","PENDING","DRAFT"]},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}},"etag":{"type":"string"}},"required":["availability"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"dms-shelf-ShelfTranslatableText":{"description":"Mehrsprachige Bezeichnungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"alternativeText":{"type":"string","description":"Alternativer Text","maxLength":2147483647,"minLength":0},"metaTitle":{"type":"string","description":"Meta-Titel","maxLength":255,"minLength":0},"languageCode":{"type":"string","description":"Sprache"}},"required":["languageCode"]}}}}
```

## PUT /dms/resources/{id}/transformations/{transformationId}

> Update existing Image Transformation

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Image Transformations","description":"Manage transformations for image resource"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/transformations/{transformationId}":{"put":{"tags":["Image Transformations"],"summary":"Update existing Image Transformation","operationId":"updateTransformation","parameters":[{"name":"id","in":"path","description":"image id","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"transformationId","in":"path","description":"transformationId","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfImageTransformation"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfImageTransformation"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"dms-shelf-ShelfImageTransformation":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"uiKey":{"type":"string","description":"zur Unterscheidung verschiedener Transformationen"},"share":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"},"sizeX":{"type":"integer","format":"int32","description":"Breite in pixeln"},"sizeY":{"type":"integer","format":"int32","description":"Höhe in pixeln"},"rotation":{"type":"integer","format":"int32","description":"Rotation in Grad"},"watermarkLabel":{"type":"string","description":"Ein Wasserzeichen"},"imageFileStorageHandle":{"type":"string","description":"interne referenz auf die physikalische datei","readOnly":true},"imageFileCreatedAt":{"type":"string","format":"date","description":"wann wurde die physikalische datei erstellt","readOnly":true},"imageFileDuration":{"type":"integer","format":"int32","description":"wie viele Tage bleibt diese physikalische datei erhalten (0 = unlimited)"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"dms-shelf-ShelfShare":{"description":"share informations","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicUrlPath":{"type":"string","description":"der url-pfadanteil, der öffentlichen zugriff auf diese resource gibt","readOnly":true},"publicUrlCreatedAt":{"type":"string","format":"date","description":"wann die öffentliche resource erstellt wurde","readOnly":true},"publicUrlDurationInMinutes":{"type":"integer","format":"int64","description":"wie viele Minuten bleibt dieser resource-pfad zugreifbar (null = unlimited)"},"availability":{"type":"string","description":"Bestimmt, wie oft eine öffentliche URL verfügbar ist","enum":["UNLIMITED","ONE_TIME_USE"]},"timesUsed":{"type":"integer","format":"int32","description":"Anzahl der Nutzungen","readOnly":true},"appId":{"type":"string","format":"uuid","description":"App-ID"},"sharedByExternalRef":{"type":"string","description":"Externer Verweis auf dieses Share"},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true},"eTag":{"type":"string","description":"Hash der Revision","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"publishState":{"type":"string","description":"Veröffentlichungsstatus einer Dokument-Freigabe","enum":["SYNCED","PENDING","DRAFT"]},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}},"etag":{"type":"string"}},"required":["availability"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"dms-shelf-ShelfTranslatableText":{"description":"Mehrsprachige Bezeichnungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"alternativeText":{"type":"string","description":"Alternativer Text","maxLength":2147483647,"minLength":0},"metaTitle":{"type":"string","description":"Meta-Titel","maxLength":255,"minLength":0},"languageCode":{"type":"string","description":"Sprache"}},"required":["languageCode"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## DELETE /dms/resources/{id}/transformations/{transformationId}

> delete an existing image share

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Image Transformations","description":"Manage transformations for image resource"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/transformations/{transformationId}":{"delete":{"tags":["Image Transformations"],"summary":"delete an existing image share","operationId":"deleteImageTransformationById","parameters":[{"name":"id","in":"path","description":"image id","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"transformationId","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /dms/resources/{id}/transformations

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Image Transformations","description":"Manage transformations for image resource"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/transformations":{"get":{"tags":["Image Transformations"],"operationId":"getAllImageTransformation","parameters":[{"name":"id","in":"path","description":"image id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/dms-shelf-ShelfImageTransformation"}}}}}}}}},"components":{"schemas":{"dms-shelf-ShelfImageTransformation":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"uiKey":{"type":"string","description":"zur Unterscheidung verschiedener Transformationen"},"share":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"},"sizeX":{"type":"integer","format":"int32","description":"Breite in pixeln"},"sizeY":{"type":"integer","format":"int32","description":"Höhe in pixeln"},"rotation":{"type":"integer","format":"int32","description":"Rotation in Grad"},"watermarkLabel":{"type":"string","description":"Ein Wasserzeichen"},"imageFileStorageHandle":{"type":"string","description":"interne referenz auf die physikalische datei","readOnly":true},"imageFileCreatedAt":{"type":"string","format":"date","description":"wann wurde die physikalische datei erstellt","readOnly":true},"imageFileDuration":{"type":"integer","format":"int32","description":"wie viele Tage bleibt diese physikalische datei erhalten (0 = unlimited)"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"dms-shelf-ShelfShare":{"description":"share informations","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicUrlPath":{"type":"string","description":"der url-pfadanteil, der öffentlichen zugriff auf diese resource gibt","readOnly":true},"publicUrlCreatedAt":{"type":"string","format":"date","description":"wann die öffentliche resource erstellt wurde","readOnly":true},"publicUrlDurationInMinutes":{"type":"integer","format":"int64","description":"wie viele Minuten bleibt dieser resource-pfad zugreifbar (null = unlimited)"},"availability":{"type":"string","description":"Bestimmt, wie oft eine öffentliche URL verfügbar ist","enum":["UNLIMITED","ONE_TIME_USE"]},"timesUsed":{"type":"integer","format":"int32","description":"Anzahl der Nutzungen","readOnly":true},"appId":{"type":"string","format":"uuid","description":"App-ID"},"sharedByExternalRef":{"type":"string","description":"Externer Verweis auf dieses Share"},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true},"eTag":{"type":"string","description":"Hash der Revision","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"publishState":{"type":"string","description":"Veröffentlichungsstatus einer Dokument-Freigabe","enum":["SYNCED","PENDING","DRAFT"]},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}},"etag":{"type":"string"}},"required":["availability"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"dms-shelf-ShelfTranslatableText":{"description":"Mehrsprachige Bezeichnungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"alternativeText":{"type":"string","description":"Alternativer Text","maxLength":2147483647,"minLength":0},"metaTitle":{"type":"string","description":"Meta-Titel","maxLength":255,"minLength":0},"languageCode":{"type":"string","description":"Sprache"}},"required":["languageCode"]}}}}
```

## POST /dms/resources/{id}/transformations

> Create new Image Transformation

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Image Transformations","description":"Manage transformations for image resource"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/transformations":{"post":{"tags":["Image Transformations"],"summary":"Create new Image Transformation","operationId":"addImageTransformation","parameters":[{"name":"id","in":"path","description":"image id","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfImageTransformation"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-shelf-ShelfImageTransformation"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"dms-shelf-ShelfImageTransformation":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"uiKey":{"type":"string","description":"zur Unterscheidung verschiedener Transformationen"},"share":{"$ref":"#/components/schemas/dms-shelf-ShelfShare"},"sizeX":{"type":"integer","format":"int32","description":"Breite in pixeln"},"sizeY":{"type":"integer","format":"int32","description":"Höhe in pixeln"},"rotation":{"type":"integer","format":"int32","description":"Rotation in Grad"},"watermarkLabel":{"type":"string","description":"Ein Wasserzeichen"},"imageFileStorageHandle":{"type":"string","description":"interne referenz auf die physikalische datei","readOnly":true},"imageFileCreatedAt":{"type":"string","format":"date","description":"wann wurde die physikalische datei erstellt","readOnly":true},"imageFileDuration":{"type":"integer","format":"int32","description":"wie viele Tage bleibt diese physikalische datei erhalten (0 = unlimited)"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"dms-shelf-ShelfShare":{"description":"share informations","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"publicUrlPath":{"type":"string","description":"der url-pfadanteil, der öffentlichen zugriff auf diese resource gibt","readOnly":true},"publicUrlCreatedAt":{"type":"string","format":"date","description":"wann die öffentliche resource erstellt wurde","readOnly":true},"publicUrlDurationInMinutes":{"type":"integer","format":"int64","description":"wie viele Minuten bleibt dieser resource-pfad zugreifbar (null = unlimited)"},"availability":{"type":"string","description":"Bestimmt, wie oft eine öffentliche URL verfügbar ist","enum":["UNLIMITED","ONE_TIME_USE"]},"timesUsed":{"type":"integer","format":"int32","description":"Anzahl der Nutzungen","readOnly":true},"appId":{"type":"string","format":"uuid","description":"App-ID"},"sharedByExternalRef":{"type":"string","description":"Externer Verweis auf dieses Share"},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true},"eTag":{"type":"string","description":"Hash der Revision","readOnly":true},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"publishState":{"type":"string","description":"Veröffentlichungsstatus einer Dokument-Freigabe","enum":["SYNCED","PENDING","DRAFT"]},"translatableTexts":{"type":"array","description":"Mehrsprachige Bezeichnungen","items":{"$ref":"#/components/schemas/dms-shelf-ShelfTranslatableText"}},"etag":{"type":"string"}},"required":["availability"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"dms-shelf-ShelfTranslatableText":{"description":"Mehrsprachige Bezeichnungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"alternativeText":{"type":"string","description":"Alternativer Text","maxLength":2147483647,"minLength":0},"metaTitle":{"type":"string","description":"Meta-Titel","maxLength":255,"minLength":0},"languageCode":{"type":"string","description":"Sprache"}},"required":["languageCode"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## GET /dms/resources/{id}/transformations/{transformationId}/file

> download the transformed image

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Image Transformations","description":"Manage transformations for image resource"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/dms/resources/{id}/transformations/{transformationId}/file":{"get":{"tags":["Image Transformations"],"summary":"download the transformed image","operationId":"downloadTransformedFile","parameters":[{"name":"id","in":"path","description":"image id","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"transformationId","in":"path","description":"transformationId","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"disposition","in":"query","description":"optional: gewünschte Content-Disposition vom Request","required":false,"schema":{"type":"string"}},{"name":"If-None-Match","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Response contains File","content":{"application/json":{"schema":{}},"application/*":{"schema":{}}}},"201":{"description":"Response with download-url","content":{"application/json":{"schema":{}},"application/*":{"schema":{}}}},"303":{"description":"Location attribute contains alternate download location","content":{"application/json":{"schema":{}},"application/*":{"schema":{}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}},"application/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/image-transformations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
